# ESMValTool
# recipe_python.yml
---
documentation:
  title: Ocean heat content and related fields

  description: 
    Diagnosis of ocean heat content and related fields

  authors:
    - unmaintained
    #- yanchun_he

  maintainer:
    - unmaintained
    #- yanchun_he

  references:
    - acknow_project

  projects:
    - esmval
    #- NICEST-2

      #datasets:

preprocessors:

  prepare_hist:
    extract_time:
      start_year: 1985
      start_month: 12
      start_day: 1
      end_year: 2014
      end_month: 1
      end_day: 31
    extract_season: &extract_season
      season: DJF
    climate_statistics: &climate_statistics
      operator: mean
      period: full
    regrid: &regrid
      target_grid: 1x1
      lon_offset: False
      lat_offset: False
      scheme: linear
    extract_region: &extract_region
      start_latitude: 20
      end_latitude: 90
      start_longitude: 0
      end_longitude: 359

  prepare_ssp585:
    extract_time:
      start_year: 2071
      start_month: 12
      start_day: 1
      end_year: 2100
      end_month: 1
      end_day: 31
    extract_season: *extract_season
    climate_statistics: *climate_statistics
    regrid: *regrid
    extract_region: *extract_region

diagnostics:

  map:
    title: mixed layer depth
    description: mixed layer depth, mean and ensemble spread
    themes:
      - phys
    realms:
      - atmos
    variables:
      mlotst_hist:
        short_name: mlotst
        mip: Omon
        preprocessor: prepare_hist
        additional_datasets: &dataset_hist
          - {dataset: NorESM2-MM, project: CMIP6, activity: CMIP, exp: hist-cloud2, ensemble: r1i1p1f1, grid: gn}
          - {dataset: NorESM2-MM, project: CMIP6, activity: CMIP, exp: hist-eddy, ensemble: r1i1p1f1, grid: gn}
          - {dataset: NorESM2-MM, project: CMIP6, activity: CMIP, exp: hist-iceSheet3, ensemble: r1i1p1f1, grid: gn}
          - {dataset: NorESM2-MM, project: CMIP6, activity: CMIP, exp: hist-ozone, ensemble: r1i1p1f1, grid: gn}
          - {dataset: NorESM2-MM, project: CMIP6, activity: CMIP, exp: hist-snow, ensemble: r1i1p1f1, grid: gn}
          - {dataset: NorESM2-MM, project: CMIP6, activity: CMIP, exp: hist-piAerOxid, ensemble: r1i1p1f1, grid: gn}
          - {dataset: NorESM2-MM, project: CMIP6, activity: CMIP, exp: historical, ensemble: r1i1p1f1, grid: gn}
      mlotst_ssp:
        short_name: mlotst
        mip: Omon
        preprocessor: prepare_ssp585
#       reference_dataset: historical
#       start_year: 1985
#       end_year: 2014
        additional_datasets: &dataset_ssp585
#     - {dataset: NorESM2-MM, project: CMIP6, institute: NCC, exp: historical, ensemble: r1i1p1f1, grid: gn}
          - {dataset: NorESM2-MM, project: CMIP6, activity: ScenarioMIP, exp: ssp585-cloud2, ensemble: r1i1p1f1, grid: gn}
          - {dataset: NorESM2-MM, project: CMIP6, activity: ScenarioMIP, exp: ssp585-eddy, ensemble: r1i1p1f1, grid: gn}
          - {dataset: NorESM2-MM, project: CMIP6, activity: ScenarioMIP, exp: ssp585-iceSheet3, ensemble: r1i1p1f1, grid: gn}
          - {dataset: NorESM2-MM, project: CMIP6, activity: ScenarioMIP, exp: ssp585-ozone, ensemble: r1i1p1f1, grid: gn}
          - {dataset: NorESM2-MM, project: CMIP6, activity: ScenarioMIP, exp: ssp585-snow, ensemble: r1i1p1f1, grid: gn}
          - {dataset: NorESM2-MM, project: CMIP6, activity: ScenarioMIP, exp: ssp585-piAerOxid, ensemble: r1i1p1f1, grid: gn}
          - {dataset: NorESM2-MM, project: CMIP6, activity: ScenarioMIP, exp: ssp585, ensemble: r1i1p1f1, grid: gn}
      hfls_hist:
        short_name: hfls
        mip: Amon
        preprocessor: prepare_hist
        additional_datasets: *dataset_hist
      hfls_ssp:
        short_name: hfls
        mip: Amon
        preprocessor: prepare_ssp585
        additional_datasets: *dataset_ssp585
      hfss_hist:
        short_name: hfss
        mip: Amon
        preprocessor: prepare_hist
        additional_datasets: *dataset_hist
      hfss_ssp:
        short_name: hfss
        mip: Amon
        preprocessor: prepare_ssp585
        additional_datasets: *dataset_ssp585
    scripts: null
#     script1:
#       script: ~/Projects/KeyCLIM/wp6paper/esmvaltool/plot2d.py
#       quickplot:
#         plot_type: pcolormesh
#         cmap: RdBu
